Bug 297271 - poor contrast of current selection in unfocused GtkTreeView
poor contrast of current selection in unfocused GtkTreeView
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk-nodoka-engine (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-19 21:32 EDT by Jens Petersen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 00:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
clearlooks.png (23.28 KB, image/png)
2007-09-19 22:38 EDT, Jens Petersen
no flags Details
nodoka.png (22.75 KB, image/png)
2007-09-19 22:40 EDT, Jens Petersen
no flags Details
nodoka-insensitive.png (22.32 KB, image/png)
2007-09-20 02:25 EDT, Jens Petersen
no flags Details
imchooser-disabled.png (20.67 KB, image/png)
2007-09-24 00:41 EDT, Jens Petersen
no flags Details
imchooser.png (23.57 KB, image/png)
2007-09-24 00:44 EDT, Jens Petersen
no flags Details
last imchooser screeshot (17.21 KB, image/png)
2007-09-24 07:33 EDT, Martin Sourada
no flags Details

  None (edit)
Description Jens Petersen 2007-09-19 21:32:39 EDT
Description of problem:
The Nodoka theme seems to contrast the current selection badly in
unfocused GtkTreeView widgets.  When a GtkTreeView widget is made
insensitive the highlighting is also a bit strange.

Version-Release number of selected component (if applicable):
nodoka-theme-gnome-0.3.2-1.fc8.1

How reproducible:
every time

Steps to Reproduce:
1. install scim and run im-chooser, or install gtk2-devel and run gtk-demo
2. press Tab or click to move focus around window
3. in im-chooser disable input methods

Actual results:
2. Quite unclear unhighlighting of current selection in TreeView when unfocused.
3. Text of current selection does not fade.

Expected results:
2. Clear distinction between current selection in TreeView and other entries.
3. last selection text should also appear lighter

Additional info:
I wonder if this should be a F8Blocker.
Comment 1 Jens Petersen 2007-09-19 22:38:51 EDT
Created attachment 200371 [details]
clearlooks.png

screenshot of im-chooser with ClearLooks theme
Comment 2 Jens Petersen 2007-09-19 22:40:20 EDT
Created attachment 200381 [details]
nodoka.png

shot of im-chooser with Nodoka.
Comment 3 Jens Petersen 2007-09-19 23:30:44 EDT
I can attach screenshots for the insensitive case too if you want.
Comment 4 Martin Sourada 2007-09-20 00:32:03 EDT
Thanks for the screenshots, when I read the description I thought at first, that
the text contrast badly with the background... :)

It seems Clearlooks does not make differences between selection in focused
window and in unfocused window (i.e. both are blue), in Nodoka we do it by
making the selection grey if in unfocused widget. What solution to this bug
would you prefer?

a) usage of darker grey
b) leave it blue for unfocused widgets as well

Thanks
Comment 5 Jens Petersen 2007-09-20 00:59:15 EDT
Darker grey sounds good to me, thanks.
Comment 6 Jens Petersen 2007-09-20 02:25:02 EDT
Created attachment 200501 [details]
nodoka-insensitive.png

Here is a screenshot of the insensitive widget too.
Comment 7 Martin Sourada 2007-09-20 17:08:55 EDT
Hi, I fixed the treeview issue in gtk-nodoka-engine-0.6-2.fc8. Please check, if
it's what you wanted (if not, reopen the bug). About the insensitive case I am
not quite sure - it does not seem wierd to me. If you insist on it, please open
a separate bug about it (one bug for one issue seems good to me).

Thanks :)
Comment 8 Jens Petersen 2007-09-24 00:37:59 EDT
IMHO it is still not dark enough, could you please make it darker grey.
Comment 9 Jens Petersen 2007-09-24 00:41:16 EDT
Created attachment 203681 [details]
imchooser-disabled.png

how it looks now
Comment 10 Jens Petersen 2007-09-24 00:44:43 EDT
Created attachment 203691 [details]
imchooser.png

err, rather this one
Comment 11 Martin Sourada 2007-09-24 07:33:35 EDT
Created attachment 204041 [details]
last imchooser screeshot

This is how it looks in latest package. If you are OK with this one, I'll close
this bug again. Thanks.
Comment 12 Jens Petersen 2007-09-25 00:16:51 EDT
Thanks!  That's much better.

Note You need to log in before you can comment on or make changes to this bug.